﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace PanelBarBinding
{
	public class MainPageViewModel
	{
		private ObservableCollection<PanelBarItemViewModel> items;

		public MainPageViewModel()
		{
			items = new ObservableCollection<PanelBarItemViewModel>();

			PanelBarItemViewModel item1 = new PanelBarItemViewModel() { Header = "1" };
			item1.ItemControls.Add(new PanelBarItemViewModel() { Header = "1.1" });
			item1.ItemControls.Add(new PanelBarItemViewModel() { Header = "1.2" });
			items.Add(item1);
			items.Add(new PanelBarItemViewModel() { Header = "2" });
			PanelBarItemViewModel item3 = new PanelBarItemViewModel() { Header = "3" };
			item3.ItemControls.Add(new PanelBarItemViewModel() { Header = "3.1" });
			item3.ItemControls.Add(new PanelBarItemViewModel() { Header = "3.2" });
			items.Add(item3);
			items.Add(new PanelBarItemViewModel() { Header = "4" });
			items.Add(new PanelBarItemViewModel() { Header = "5" });
		}

		public ObservableCollection<PanelBarItemViewModel> Items
		{
			get
			{
				return items;
			}
		}
	}
}
